// ======================================================================
//
// AnimAppear.h
// jeff grills
//
// copyright 1997 origin systems inc
//
// ======================================================================

#ifndef ANIM_APPEAR_H
#define ANIM_APPEAR_H

// ======================================================================

#include "MultiAppear.h"
#include "Timer.h"

// ======================================================================

class AnimAppear : public MultiAppear
{
protected:

	Timer    timer;
	int      currentFrame;

private:

	// disable the copy constructor and the assignment operator
	AnimAppear(void);
	AnimAppear(const AnimAppear &);
	AnimAppear &operator =(const AnimAppear &);

private:

	virtual void realAlter(real time);

public:

	AnimAppear(const char *newName, Iff &iff, real newScale);
	
	void resetAnimation(void);

	virtual const Appear *getRenderAppear(Camera &camera, const Object *object) const;
	virtual void          render(Camera &camera, const Xform &objectToWorld) const;
};

// ======================================================================

#endif
